# MobiDoc

This is the website version for the MobiDoc Android Application  : [MobiDoc Android]( https://github.com/freezy04/Runtime-Terror)

 # Mobile Patient Tracker
- #### Product Scope 
      - develop a website version of the mobile application for viewing and managing patient data
      - data comprises of, patient name, disease history, medication administered, date of arrival, date of appointment, consultation and treatment cost, etc
      - once the data is saved onto the system it will be stored for the doctor's perusal
       
- #### Function
      - the doctors should be able to log in to the platform and enter relevant information about their patient
      - the doctors should be able to upgrade the system continually by entering the latest medical data of their patients when a patient consults with the doctor
      - the doctors are able to accept or reject a booking request made by a patient
      
- #### Purpose
      -  the purpose of this website is to help doctors see the medical history of their patients without having to search for a patients paper records
      -  the website will also assist patients to book appointments with an array of doctors
      -  MobiDoc will also allow doctors to manage their appointment by accepting or rejecting a patient's booking request
      -  this means the doctors save more time and focus on the task at hand -- treating an ill person and saving lives
      -  when the patient arrives for a consultaion, the doctor can just quickly look up said patient's profile containing their medical history and write up the appropriate treatment

# Requirements
- #### User
  - The user needs to have a computer, tablet or mobile device and internet connection

- #### Developer
  - Webstorm Version: 2021.1.2, Build: 211.7442.26 (recommended)

# Programming languages
- Javascript
- Node.js
- HTML
- CSS




[![Website shields.io](https://img.shields.io/badge/Website-MobiDoc-yellow?style=for-the-badge/http/shields.io.svg)](https://mobidoc-6a3ac.web.app/)
[![MobiDoc CI](https://github.com/freezy04/MobiDoc/actions/workflows/main.yml/badge.svg)](https://github.com/freezy04/MobiDoc/actions/workflows/main.yml)
[![Build](https://github.com/freezy04/MobiDoc/actions/workflows/node.js.yml/badge.svg)](https://github.com/freezy04/MobiDoc/actions/workflows/node.js.yml)
[![codecov](https://codecov.io/gh/freezy04/MobiDoc/branch/main/graph/badge.svg?token=VRAAMSJ2WS)](https://codecov.io/gh/freezy04/MobiDoc)
